| Home | Libraries | People | FAQ | More

## Function template any_of_equal

boost::algorithm::any_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/any_of.hpp>

    template<typename Range, typename V>
      bool any_of_equal(const Range & r, const V & val);

## Description

| Note
returns false on an empty range

Parameters:

`r` | The input range
`val` | A value to compare against

Returns: | true if any of the elements in the range are equal to 'val'